> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aegi.run/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aegi.run/_mcp/server.

# Get species details, lore, and forms of a Pokémon.

GET https://api.aegi.run/v1/pokemon/species

Reference: https://docs.aegi.run/api-reference/aegis/pokemon/get-species-details-lore-and-forms-of-a-pokemon

## Authentication

- `Authorization` header (bearer token, required) — Create a key at [https://aegi.run](https://aegi.run), then send it as `Authorization: Bearer aegis.<key>`.

## Request

### Query parameters

- `name` (string, required) — Name or ID of the Pokémon species

## Response

### 200

Species successfully found

- `error` (boolean, required) — Indicates if an error occurred
- `data` (V1PokemonSpeciesGetResponsesContentApplicationJsonSchemaData, required, nullable) — Payload data containing species details
- `requestId` (string, required) — Unique identifier for the request

## Errors

### 404 Not Found Error

Species not found

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

## Types

### V1PokemonSpeciesGetResponsesContentApplicationJsonSchemaData

Payload data containing species details

- `id` (double, required) — The unique ID of the Pokémon species
- `name` (string, required) — The name of the Pokémon species
- `order` (double, required) — Order number for sorting species
- `genderRate` (double, required) — The chance of this Pokémon being female (in eighths, -1 for genderless)
- `captureRate` (double, required) — Catch rate of the Pokémon (0-255)
- `baseHappiness` (double, required) — Base happiness when caught
- `isBaby` (boolean, required) — Whether this is a baby Pokémon
- `isLegendary` (boolean, required) — Whether this is a legendary Pokémon
- `isMythical` (boolean, required) — Whether this is a mythical Pokémon
- `hatchCounter` (double, required) — Steps required to hatch an egg of this Pokémon
- `color` (string, required) — Primary color category of the Pokémon
- `shape` (string, required) — Body shape category of the Pokémon
- `habitat` (string, required, nullable) — Typical natural habitat
- `generation` (string, required) — Generation in which the Pokémon was introduced
- `eggGroups` (list of string, required) — List of egg groups
- `flavorText` (string, required) — A descriptive Pokédex entry in English
- `varieties` (list of V1PokemonSpeciesGetResponsesContentApplicationJsonSchemaDataVarietiesItems, required) — List of all form varieties for this species

### ErrorResponseError

- `code` (enum, required)
  - Allowed values: `bad_request`, `unauthorized`, `invalid_api_key`, `api_key_revoked`, `forbidden`, `player_limit`, `not_found`, `method_not_allowed`, `conflict`, `validation_error`, `rate_limited`, `internal_error`, `service_unavailable`
- `message` (string, required)
- `details` (any, optional, nullable)

### V1PokemonSpeciesGetResponsesContentApplicationJsonSchemaDataVarietiesItems

- `isDefault` (boolean, required) — Whether this is the default form
- `pokemonName` (string, required) — Name of the specific form variant

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "error": false,
  "data": {
    "id": 681,
    "name": "aegislash",
    "order": 867,
    "genderRate": 4,
    "captureRate": 45,
    "baseHappiness": 50,
    "isBaby": false,
    "isLegendary": false,
    "isMythical": false,
    "hatchCounter": 20,
    "color": "yellow",
    "shape": "humanoid",
    "habitat": null,
    "generation": "generation-vi",
    "eggGroups": [
      "mineral"
    ],
    "flavorText": "Apparently, it can detect the innate qualities of leadership. According to legend, whoever it recognizes is destined to become king.",
    "varieties": [
      {
        "isDefault": true,
        "pokemonName": "aegislash-shield"
      },
      {
        "isDefault": false,
        "pokemonName": "aegislash-blade"
      }
    ]
  },
  "requestId": "req_4a7f2c91b83e5d06a1f9e342c7b08d15"
}
```

**SDK Code**

```python
import requests

url = "https://api.aegi.run/v1/pokemon/species"

querystring = {"name":"aegislash"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.aegi.run/v1/pokemon/species?name=aegislash';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.aegi.run/v1/pokemon/species?name=aegislash"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.aegi.run/v1/pokemon/species?name=aegislash")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.aegi.run/v1/pokemon/species?name=aegislash")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.aegi.run/v1/pokemon/species?name=aegislash', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.aegi.run/v1/pokemon/species?name=aegislash");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.aegi.run/v1/pokemon/species?name=aegislash")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```